Bug 66843 - FILTER: Callouts loose shape and direction to point to when saving to PPTX
Summary: FILTER: Callouts loose shape and direction to point to when saving to PPTX
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 04:07 UTC by bugquestcontri
Modified: 2016-09-23 13:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of callouts loosing shape and directions; orginal directions indicated by text in callouts (40.86 KB, image/png)
2013-07-12 04:07 UTC, bugquestcontri
Details
Impress filed saved in pptx showing the test result (252.25 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2013-07-14 12:58 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-07-12 04:07:06 UTC
Created attachment 82355 [details]
screenshot of callouts loosing shape and directions; orginal directions indicated by text in callouts

Problem description: 
In an Impress file with call outs, call out loose shape and direction when saving in pptx format.

This is independent from the orgin of  the Impress file; same results for file 
- originally created in Impress (based on Impress default format)  or 
- originally created as pptx file in MS PowerPoint and call out are added in Impress

Saving in odp format keeps callouts as they were created


Steps to reproduce:
1. open MSPowerPoint created as original pptx file  or original odp file )in Impress
2. add call outs and adjust direction with mouse
3. save as pptx file in Impress
4. open file (from recent file list)
5. call outs lost direction and shape 

Current behavior:
When saving as pptx file call out loose shape and directions, when saving in odp-format call out features remain

Expected behavior:
Even when saving in pptx. call out shape and direction should remain

              
Operating System: Windows XP
Version: 4.0.4.2 release
Comment 1 Cor Nouws 2013-07-12 08:50:58 UTC
Hi,
thanks for the report.
I change the summary a bit, but fail time now to do further checking & look for possible duplicates.
Ciao,
Cor
Comment 2 ign_christian 2013-07-13 04:20:10 UTC
Hi.. I can confirm that behavior by creating new presentation & save to .pptx, callouts screwed up after closing & reopening that file.
-> filesave problem

Tried some searching but didn't find possible duplicates.

Tested on LO 4.0.4.2 (Win7 32bit)
Comment 3 bugquestcontri 2013-07-14 12:58:14 UTC
Created attachment 82407 [details]
Impress filed saved in pptx showing the test result

As I observed that also other shapes but not all distort when an impress file is saved in pptx, I made a test with 6 sets of shapes.

Each set is on a Impress slide followed by a screen shot before saving in pptx to see which shape is distorted and how.
Comment 6 QA Administrators 2015-04-01 14:42:36 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2015-04-24 17:02:17 UTC
Tried one callout and it got a bit squished. The triangle did not go inside the shape, however.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 8 QA Administrators 2016-09-20 09:33:39 UTC Comment hidden (obsolete)
Comment 9 Mark Hung 2016-09-23 13:59:18 UTC
This should have been fixed by the commit 
2b4f9d0b2b0006fc7bebb9e696a32eabd1aeb993